using Exferia_Aplicacion.General;
using Exferia_KairosPRO_EF;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_KairosPRO._2_Datos
{
    public class AUX_LCL_Clientes_Datos
    {

        #region Obtener NombreComercial de la Empresa en ExferiaLicencias llamando al procedimiento almacenado
        public string Obtener_Empresa_NombreComercial(long _lng_CodigoCliente)
        {
            KairosProEntities obj_KairosProEntities = null;
            string str_Empresa_NombreComercial = "";
            DbConnection con_KairosPRO = null;
            DbDataReader reader_KairosPRO_Empresa = null;

            try
            {
                obj_KairosProEntities = new KairosProEntities();

                con_KairosPRO = obj_KairosProEntities.Database.Connection;
                con_KairosPRO.Open();

                DbCommand obj_DbCommand = con_KairosPRO.CreateCommand();
                obj_DbCommand.CommandType = CommandType.StoredProcedure;
                obj_DbCommand.CommandText = nameof(obj_KairosProEntities.P_EmpresaNombre_Licencias);

                SqlParameter parametro_1 = new SqlParameter("CodigoCliente", _lng_CodigoCliente);

                obj_DbCommand.Parameters.Add(parametro_1);

                //Ejecutamos el reader.....................
                reader_KairosPRO_Empresa = obj_DbCommand.ExecuteReader();
                while (reader_KairosPRO_Empresa.Read())
                {
                    if (reader_KairosPRO_Empresa.IsDBNull(0))
                    { str_Empresa_NombreComercial = ""; }
                    else
                    { str_Empresa_NombreComercial = reader_KairosPRO_Empresa.GetString(0); }
                }
                con_KairosPRO.Close();
            }
            catch (Exception ex)
            {
                throw new Control_Errores("", ex, nameof(AUX_LCL_Clientes_Datos) + "/" + nameof(Obtener_Empresa_NombreComercial), true);
            }
            finally
            {
                obj_KairosProEntities.Database.Connection.Close();
                obj_KairosProEntities.Dispose();
            }
            return str_Empresa_NombreComercial;
        }
        #endregion
    }
}
